# Purpose

To highlight an issue where the tailwind v4 compiler using the cli: https://tailwindcss.com/docs/installation/tailwind-cli does not compile classes from external component libraries for a ruby on rails project.

This package contains a few react components styled with tailwind. Specifically with some conditional classes i.e.

```
const widthClass = size === "large" ? "w-[350px]" : "w-[250px]"
```

as well as some static classes:
```
className='px-4'
```

Published here:
```https://www.npmjs.com/package/devin-reeks-component-lib```
